xfs
[Top] [All Lists]

[PATCH] xfstests: fix wrong return check for case 022

To: xfs@xxxxxxxxxxx
Subject: [PATCH] xfstests: fix wrong return check for case 022
From: Wang Shilong <wangsl.fnst@xxxxxxxxxxxxxx>
Date: Mon, 6 Jan 2014 16:08:57 +0800
Cc: linux-btrfs@xxxxxxxxxxxxxxx, Wang Shilong <wangsl.fnst@xxxxxxxxxxxxxx>, Josef Bacik <jbacik@xxxxxx>
Delivered-to: xfs@xxxxxxxxxxx
Here we expect 0 as return value, fix it.

Signed-off-by: Wang Shilong <wangsl.fnst@xxxxxxxxxxxxxx>
Cc: Josef Bacik <jbacik@xxxxxx>
---
 tests/btrfs/022 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 mode change 100644 => 100755 tests/btrfs/022

diff --git a/tests/btrfs/022 b/tests/btrfs/022
old mode 100644
new mode 100755
index 5b18643..142aaf9
--- a/tests/btrfs/022
+++ b/tests/btrfs/022
@@ -106,7 +106,7 @@ _limit_test()
        [ $? -ne 0 ] || _fail "quota should have limited us"
        dd if=/dev/urandom of=$SCRATCH_MNT/a/file bs=4M count=1 >> \
                $seqres.full 2>&1
-       [ $? -eq 0 ] || _fail "should have been allowed to write"
+       [ $? -ne 0 ] || _fail "should have been allowed to write"
 }
 
 _scratch_mkfs > /dev/null 2>&1
-- 
1.8.3.1

<Prev in Thread] Current Thread [Next in Thread>